GET /virtualservice/{uuid}/scaleoutstatus/detail/
/virtualservice/{uuid}/scaleoutstatus/detail/
UUID of the object to fetch
Avi Tenant Header
Avi Tenant Header UUID
Avi Controller may send back CSRF token in the response cookies. The caller should update the request headers with this token else controller will reject requests.
The caller is required to set Avi Version Header to the expected version of configuration. The response from the controller will provide and accept data according to the specified version. The controller will reject POST and PUT requests where the data is not compatible with the specified version.
OK
{
"flow_distribution_algo": "string",
"hb_ip_address": {
"addr": "string",
"type": "string"
},
"hb_vnic_name": "string",
"ipc_encap_type": "string",
"is_primary": false,
"num_vs_pkts_punted": 0,
"num_vs_pkts_tunneled_back": 0,
"proc_id": "string",
"reporting_se_name": "string",
"scaleout_type": "string",
"selb_chentries": [
{
"hits": 0,
"key": 0,
"se_uuid": "string",
"skips": 0
}
],
"selb_entries": [
{
"se_ro_tokens": 0,
"se_tokens": 0,
"se_uuid": "string"
}
],
"selb_version": 0,
"so_see_details": [
{
"curr_num_local_flows": 0,
"curr_num_remote_flows": 0,
"flow_created_by_probe_rsp": 0,
"flow_probe_rqs_discard_miss": 0,
"flow_probe_rqs_discard_non_local": 0,
"flow_probe_rqs_rcvd": 0,
"flow_probe_rqs_sent": 0,
"flow_probe_rsps_rcvd": 0,
"flow_probe_rsps_sent": 0,
"has_hb_issues": false,
"ip_address": {
"addr": "string",
"type": "string"
},
"is_flow_dispatchable": false,
"is_local": false,
"is_primary": false,
"num_pools_up": 0,
"num_vs_flows": 0,
"num_vs_hb_rqs_rcvd": 0,
"num_vs_hb_rqs_sent": 0,
"num_vs_hb_rsps_rcvd": 0,
"num_vs_hb_rsps_sent": 0,
"pool_obj_count": 0,
"se_hb_up": false,
"se_hb_version": 0,
"se_load": 0,
"se_uuid": "string",
"selist_version": 0,
"sent_scaleout_ready": false,
"vs_op_up": false,
"vs_sh_state_change_reads": 0,
"vs_sh_state_publish_errors": 0,
"vs_sh_state_published": 0,
"vs_sh_state_read_errors": 0,
"vs_traffic_delayed": 0,
"vssn_error_rsps": 0,
"vssn_last_rev": 0,
"vssn_success_rsps": 0
}
],
"total_num_vs_flows": 0,
"tunnel_mode": false,
"vs_uuid": "string"
}
Algorithm used by Primary SE of l2-scaleout VS to distribute flows to secondary SE's. Field introduced in 20.1.1. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
hb_ip_address
vnic on which this SE is running HeartBeat messaging. Field introduced in 20.1.1. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
Encapsulation used for IPC messages between primary and secondary SE's. Field introduced in 20.1.1. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
Set to True if SE is primary for the VS. Field introduced in 20.1.1. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
Number of VS packets punted to remote SE's. Field introduced in 20.1.1. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
Number of VS packets tunneled back to all remote SE's. Field introduced in 20.1.1. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
Process Id on the primary SE which is reporting SE scaleout status. Field introduced in 20.1.1. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
Name of the SE reporting scaleout data. Field introduced in 20.1.1. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
Type of VS Scaleout - L2 or ECMP. Field introduced in 20.1.1. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
SE load balancing entries for flow distribution using Consistent Hash. Field introduced in 20.1.1. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
SE load balancing entries for flow distribution using load-aware flow distribution. Field introduced in 20.1.1. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
Version of SE-load binheap used for flow-distribution by RSS cores when RSS is enabled. Field introduced in 20.1.1. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
Scaleout SE entries. Field introduced in 20.1.1. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
Cumulative number of VS flows that arrived for VS on the primary SE. Field introduced in 20.1.1. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
Set to True if return traffic is tunnelled back from secondary SE to primary SE. Field introduced in 20.1.1. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
UUID of the Virtual Service. Field introduced in 20.1.1. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
log in failed
object not found
curl -H 'Authorization: <value>' https://{api_host}/api/virtualservice/{uuid}/scaleoutstatus/detail